Bug 1535987 - [abrt] wsjtx: jt9 killed by SIGSEGV
Summary: [abrt] wsjtx: jt9 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wsjtx
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:edf9209e12462a012677555f052...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-18 12:10 UTC by Mike Pittaro
Modified: 2018-02-27 16:52 UTC (History)
2 users (show)

Fixed In Version: wsjtx-1.8.0-2.fc27 wsjtx-1.8.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 18:03:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.62 KB, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: cgroup (289 bytes, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: core_backtrace (259 bytes, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: dso_list (2.70 KB, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: environ (1.87 KB, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: limits (1.29 KB, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: maps (17.26 KB, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: mountinfo (4.13 KB, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: open_fds (281 bytes, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-01-18 12:10 UTC, Mike Pittaro
no flags Details

Description Mike Pittaro 2018-01-18 12:10:41 UTC
Description of problem:
jt9 is started as a subprocess from wsjtx, and often coredumps when executed.  
Not yet sure what is triggering the core dump.

Version-Release number of selected component:
wsjtx-1.8.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/jt9 -s WSJT-X -w 1 -m 3 -e /usr/bin -a /home/mikeyp/.local/share/WSJT-X -t /tmp/WSJT-X
executable:     /usr/bin/jt9
journald_cursor: s=10f1a1033d6e4325878b96ca269ffcc3;i=10acc6;b=63dd57b2f0ff42dcadf1afee669fc7cb;m=e35822fab6;t=56304c8e478b9;x=cb5c25b4e6d1ad79
kernel:         4.14.8-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 ??
 #1 ft8_decode::decode at /usr/src/debug/wsjtx-1.8.0-1.fc27.x86_64/wsjtx/lib/ft8_decode.f90:126
 #2 multimode_decoder at /usr/src/debug/wsjtx-1.8.0-1.fc27.x86_64/wsjtx/lib/decoder.f90:77
 #3 jt9a at /usr/src/debug/wsjtx-1.8.0-1.fc27.x86_64/wsjtx/lib/jt9a.f90:64
 #4 jt9 at /usr/src/debug/wsjtx-1.8.0-1.fc27.x86_64/wsjtx/lib/jt9.f90:173

Comment 1 Mike Pittaro 2018-01-18 12:10:45 UTC
Created attachment 1382872 [details]
File: backtrace

Comment 2 Mike Pittaro 2018-01-18 12:10:46 UTC
Created attachment 1382873 [details]
File: cgroup

Comment 3 Mike Pittaro 2018-01-18 12:10:47 UTC
Created attachment 1382874 [details]
File: core_backtrace

Comment 4 Mike Pittaro 2018-01-18 12:10:48 UTC
Created attachment 1382875 [details]
File: cpuinfo

Comment 5 Mike Pittaro 2018-01-18 12:10:49 UTC
Created attachment 1382876 [details]
File: dso_list

Comment 6 Mike Pittaro 2018-01-18 12:10:50 UTC
Created attachment 1382877 [details]
File: environ

Comment 7 Mike Pittaro 2018-01-18 12:10:51 UTC
Created attachment 1382878 [details]
File: limits

Comment 8 Mike Pittaro 2018-01-18 12:10:52 UTC
Created attachment 1382879 [details]
File: maps

Comment 9 Mike Pittaro 2018-01-18 12:10:53 UTC
Created attachment 1382880 [details]
File: mountinfo

Comment 10 Mike Pittaro 2018-01-18 12:10:54 UTC
Created attachment 1382881 [details]
File: open_fds

Comment 11 Mike Pittaro 2018-01-18 12:10:55 UTC
Created attachment 1382882 [details]
File: proc_pid_status

Comment 12 Jaroslav Škarvada 2018-01-18 12:21:30 UTC
Similarly with jt65, bug 1523446. Hmm, it's fortran, so I have no idea at the moment.

Comment 13 Jaroslav Škarvada 2018-01-18 14:05:06 UTC
Could you try: https://koji.fedoraproject.org/koji/taskinfo?taskID=24267800

and report results?

Comment 14 Fedora Update System 2018-01-19 10:29:34 UTC
wsjtx-1.8.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-69170bed75

Comment 15 Fedora Update System 2018-01-19 10:48:46 UTC
wsjtx-1.8.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-73d5c81b3b

Comment 16 Fedora Update System 2018-01-19 16:02:27 UTC
wsjtx-1.8.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-73d5c81b3b

Comment 17 Fedora Update System 2018-01-19 16:35:43 UTC
wsjtx-1.8.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-69170bed75

Comment 18 Fedora Update System 2018-01-30 18:03:52 UTC
wsjtx-1.8.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-02-27 16:52:36 UTC
wsjtx-1.8.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.